PowerPoint7GraphInternal::FramePlaceholder Struct Referencefinal

Internal: a frame placeholder of a PowerPoint7Graph. More...

Inheritance diagram for PowerPoint7GraphInternal::FramePlaceholder:

## Public Member Functions

| FramePlaceholder ()
| constructor
| ~FramePlaceholder () final
| destructor
Public Member Functions inherited from PowerPoint7GraphInternal::Frame
| Frame (Type type=Unknown)
| constructor
virtual | ~Frame ()
| destructor
virtual void | getTextZoneList (std::vector< int > &textIdList) const
| try to update the list of text sub zone

## Additional Inherited Members

Public Types inherited from PowerPoint7GraphInternal::Frame
enum | Type { Arc , Line , Group , Placeholder , Polygon , Rect , Unknown }
| the frame type More...
Public Attributes inherited from PowerPoint7GraphInternal::Frame
enum Type | m_type
| the type:
int | m_subType
| the sub type
MWAWBox2i | m_dimension
| the dimension
float | m_rotation
| the rotation
bool | m_flip [2]
| the flip flags: horizontal and vertical
MWAWGraphicStyle | m_style
| the style
int | m_pictureId
| the picture id(if positif)
int | m_textId
| the text id(if positif)
bool | m_isBackground
| a flag to know if this is the slide's background
bool | m_isSent
| flag to know if a frame is sent

## Detailed Description

Internal: a frame placeholder of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## FramePlaceholder()

PowerPoint7GraphInternal::FramePlaceholder::FramePlaceholder | ( |  | ) |

inline

constructor

Referenced by ~FramePlaceholder().

## ~FramePlaceholder()

PowerPoint7GraphInternal::FramePlaceholder::~FramePlaceholder | ( |  | ) |

final

destructor

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx